package com.helpdesk.micaficito.modelos;
// Generated 11-dic-2019 11:52:12 by Hibernate Tools 4.3.1


import java.util.HashSet;
import java.util.Set;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.Id;
import javax.persistence.OneToMany;
import javax.persistence.Table;
import javax.persistence.UniqueConstraint;

/**
 * Locations generated by hbm2java
 */
@Entity
@Table(name="locations"
    ,catalog="openbravopos"
    , uniqueConstraints = @UniqueConstraint(columnNames="NAME") 
)
public class Locations  implements java.io.Serializable {


     private String id;
     private String name;
     private String address;
     private Set<Stockdiary> stockdiaries = new HashSet<Stockdiary>(0);
     private Set<Stocklevel> stocklevels = new HashSet<Stocklevel>(0);

    public Locations() {
    }

	
    public Locations(String id, String name) {
        this.id = id;
        this.name = name;
    }
    public Locations(String id, String name, String address, Set<Stockdiary> stockdiaries, Set<Stocklevel> stocklevels) {
       this.id = id;
       this.name = name;
       this.address = address;
       this.stockdiaries = stockdiaries;
       this.stocklevels = stocklevels;
    }
   
     @Id 

    
    @Column(name="ID", unique=true, nullable=false)
    public String getId() {
        return this.id;
    }
    
    public void setId(String id) {
        this.id = id;
    }

    
    @Column(name="NAME", unique=true, nullable=false)
    public String getName() {
        return this.name;
    }
    
    public void setName(String name) {
        this.name = name;
    }

    
    @Column(name="ADDRESS")
    public String getAddress() {
        return this.address;
    }
    
    public void setAddress(String address) {
        this.address = address;
    }

@OneToMany(fetch=FetchType.LAZY, mappedBy="locations")
    public Set<Stockdiary> getStockdiaries() {
        return this.stockdiaries;
    }
    
    public void setStockdiaries(Set<Stockdiary> stockdiaries) {
        this.stockdiaries = stockdiaries;
    }

@OneToMany(fetch=FetchType.LAZY, mappedBy="locations")
    public Set<Stocklevel> getStocklevels() {
        return this.stocklevels;
    }
    
    public void setStocklevels(Set<Stocklevel> stocklevels) {
        this.stocklevels = stocklevels;
    }




}


